from django.shortcuts import get_object_or_404, render_to_response
from django.http import HttpResponseRedirect, HttpResponse
from django.core.urlresolvers import reverse
from django.template import RequestContext
from mysite.twinfo.models import *
import twitter

def index(request):
    users_list = User.objects.all()
    return render_to_response('twinfo/index.html', {
        'users_list': users_list})

def user_add(request):
    if request.method == 'POST':
        form = UsernameForm(request.POST)
        if form.is_valid():
            uid = form.cleaned_data['username']
            uid = User(username=uid)
            uid.save()
            api = twitter.Api()
            u = api.GetUser(uid)
            uname = u.name
            udesc = u.description
            tweets = api.GetUserTimeline(uid,10)
            for i in tweets:
                add = Detail(user=uid,name=uname,description=udesc,text=i.text)
                add.save()
    else:
        form = UsernameForm()
    return render_to_response('twinfo/user_add.html', {'form': form})

def user_twinfo(request, username):
    user = get_object_or_404(User, username=username)
    latest_tweets_list = Detail.objects.filter(user=user)
    return render_to_response('twinfo/user.html', {'latest_tweets_list':
        latest_tweets_list, 'user': user})

